Skip to main content
`Ctrl`+`K`

# numpy.random.SeedSequence.generate_state

method

random.SeedSequence.generate_state(n_words, dtype=np.uint32)

  Return the requested number of words for PRNG seeding.

  A BitGenerator should call this method in its constructor with an appropriate n_words parameter to properly seed itself.

  Parameters:
    n_words int
    dtype np.uint32 or np.uint64, optional

      The size of each word. This should only be either `uint32` or `uint64`. Strings (‘uint32’, ‘uint64’) are fine. Note that requesting `uint64` will draw twice as many bits as `uint32` for the same n_words. This is a convenience for BitGenerators that express their states as `uint64` arrays.

  Returns:
    state uint32 or uint64 array, shape=(n_words,)